Method: projects.locations.instances.finishMigration

Finalizes the migration process.

After the successful completion of this operation, the target instance will: 1. Stop replicating from the source instance. 2. Allow both reads and writes.

HTTP request


POST https://memorystore.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:finishMigration

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the instance to finalize migration on. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "force": boolean
}
Fields
force

boolean

Optional. By default, the instances.finishMigration operation ensures the target replication offset to catch up to the source offset as of the time of the call. Set this field to true to bypass this offset verification check.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM Permissions

Requires the following IAM permission on the name resource:

  • memorystore.instances.finishMigration

For more information, see the IAM documentation.